<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__common__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_common_context_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__common__context__t_1aa9d6aeaa1e73aac634d4ca090d353af2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_context_t::configId</definition>
        <argsstring />
        <name>configId</name>
        <briefdescription>
<para>16-bit CRC calculated by the CapSense Configurator tool for the CapSense configuration. </para>        </briefdescription>
        <detaileddescription>
<para>Used by the CapSense Tuner tool to identify if the FW corresponds to the specific user configuration. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="886" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="886" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1afae9853b830d6549b35bafc214acc040" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_context_t::tunerCmd</definition>
        <argsstring />
        <name>tunerCmd</name>
        <briefdescription>
<para>Tuner Command Register <ref kindref="member" refid="group__group__capsense__enums_1ga049118d05a2bdf4f2d37d7b75c511f79">cy_en_capsense_tuner_cmd_t</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>Used for the communication between the CapSense Tuner tool and the middleware </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="888" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="888" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a6406229ffd99b912c09ca0c80ea3f4ee" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_common_context_t::scanCounter</definition>
        <argsstring />
        <name>scanCounter</name>
        <briefdescription>
<para>This counter increments after each scan. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="890" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="890" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a26f741c17c454d43f6a07dbf87d8154e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_context_t::tunerSt</definition>
        <argsstring />
        <name>tunerSt</name>
        <briefdescription>
<para>State of CapSense middleware tuner module. </para>        </briefdescription>
        <detaileddescription>
<para><ref kindref="member" refid="group__group__capsense__enums_1gaadb1f5ee70c7d52a5375cdae765093dc">cy_en_capsense_tuner_state_t</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="891" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="891" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a0181ebd06d8e03e3b18ac5c08ca14742" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_context_t::initDone</definition>
        <argsstring />
        <name>initDone</name>
        <briefdescription>
<para>Keep information whether initialization was done or not. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="892" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="892" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1ac3a7fcf3be3a2fc7491cdb9c002eb55e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1ga908447ccc2720f31c861d9eb79ff75d2">cy_capsense_callback_t</ref></type>
        <definition>cy_capsense_callback_t cy_stc_capsense_common_context_t::ptrSSCallback</definition>
        <argsstring />
        <name>ptrSSCallback</name>
        <briefdescription>
<para>Pointer to a user's Start Sample callback function. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="893" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="893" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1ae5ddccd94ecc0ee71482f6c6cbba947f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1ga908447ccc2720f31c861d9eb79ff75d2">cy_capsense_callback_t</ref></type>
        <definition>cy_capsense_callback_t cy_stc_capsense_common_context_t::ptrEOSCallback</definition>
        <argsstring />
        <name>ptrEOSCallback</name>
        <briefdescription>
<para>Pointer to a user's End Of Scan callback function. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="894" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="894" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1ae0c310162f4df691e7d5ac8ec7937491" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gabf58e6ce283cb73f9b8a398abf6bad17">cy_capsense_tuner_send_callback_t</ref></type>
        <definition>cy_capsense_tuner_send_callback_t cy_stc_capsense_common_context_t::ptrTunerSendCallback</definition>
        <argsstring />
        <name>ptrTunerSendCallback</name>
        <briefdescription>
<para>Pointer to a user's tuner callback function. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="896" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="896" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a18d43c62af42453bbd7a41778691a7e2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gade1f00c852892b0fc498c9a3b9d28594">cy_capsense_tuner_receive_callback_t</ref></type>
        <definition>cy_capsense_tuner_receive_callback_t cy_stc_capsense_common_context_t::ptrTunerReceiveCallback</definition>
        <argsstring />
        <name>ptrTunerReceiveCallback</name>
        <briefdescription>
<para>Pointer to a user's tuner callback function. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="897" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="897" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1ae823664536f36878278584c2e8967035" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>volatile uint32_t cy_stc_capsense_common_context_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Middleware status information, scan in progress (1) or not (0). </para>        </briefdescription>
        <detaileddescription>
<para>For MSCv3 each bit shows the correspondent channel status </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="899" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="899" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a6178b4758bc7095bbafe2bf8bc62783a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_common_context_t::timestampInterval</definition>
        <argsstring />
        <name>timestampInterval</name>
        <briefdescription>
<para>Timestamp interval used at increasing the timestamp by <ref kindref="member" refid="group__group__capsense__high__level_1ga904eb69e694e4daf45bc778281b39d9e">Cy_CapSense_IncrementGestureTimestamp()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="901" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="901" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a770a1fafdbe45e1e3355abca3caa859c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_common_context_t::timestamp</definition>
        <argsstring />
        <name>timestamp</name>
        <briefdescription>
<para>Current timestamp should be kept updated and operational, which is vital for the operation of Gesture and Ballistic multiplier features. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="902" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="902" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a867653a126683191970d79f8b6005926" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_context_t::modCsdClk</definition>
        <argsstring />
        <name>modCsdClk</name>
        <briefdescription>
<para>The modulator clock divider for the CSD widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="904" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="904" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1a7284658d282945e1ed7f624683677829" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_context_t::modCsxClk</definition>
        <argsstring />
        <name>modCsxClk</name>
        <briefdescription>
<para>The modulator clock divider for the CSX widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="905" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="905" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__common__context__t_1ac6502f0565b37d6ba97cce1c81a773b3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_common_context_t::tunerCnt</definition>
        <argsstring />
        <name>tunerCnt</name>
        <briefdescription>
<para>Command counter of CapSense middleware tuner module. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="906" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="906" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares top-level Context Data Structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="65">
        <label>cy_stc_capsense_advanced_touchpad_config_t</label>
        <link refid="structcy__stc__capsense__advanced__touchpad__config__t" />
      </node>
      <node id="78">
        <label>cy_stc_capsense_tfsc_context_t</label>
        <link refid="structcy__stc__capsense__tfsc__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="72">
        <label>cy_stc_capsense_ofdc_context_t</label>
        <link refid="structcy__stc__capsense__ofdc__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="77">
        <label>cy_stc_capsense_ofrt_context_t</label>
        <link refid="structcy__stc__capsense__ofrt__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="71">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="57">
        <label>cy_stc_capsense_sensor_context_t</label>
        <link refid="structcy__stc__capsense__sensor__context__t" />
      </node>
      <node id="61">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="60">
        <label>cy_stc_capsense_touch_t</label>
        <link refid="structcy__stc__capsense__touch__t" />
        <childnode refid="61" relation="usage">
          <edgelabel>ptrPosition</edgelabel>
        </childnode>
      </node>
      <node id="55">
        <label>cy_stc_capsense_common_context_t</label>
        <link refid="structcy__stc__capsense__common__context__t" />
        <childnode refid="56" relation="usage">
          <edgelabel>ptrSSCallback</edgelabel>
          <edgelabel>ptrEOSCallback</edgelabel>
        </childnode>
      </node>
      <node id="75">
        <label>cy_stc_capsense_tfsl_context_t</label>
        <link refid="structcy__stc__capsense__tfsl__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="81">
        <label>cy_stc_capsense_electrode_config_t</label>
        <link refid="structcy__stc__capsense__electrode__config__t" />
        <childnode refid="82" relation="usage">
          <edgelabel>ptrPin</edgelabel>
        </childnode>
      </node>
      <node id="58">
        <label>cy_stc_capsense_widget_config_t</label>
        <link refid="structcy__stc__capsense__widget__config__t" />
        <childnode refid="57" relation="usage">
          <edgelabel>ptrSnsContext</edgelabel>
        </childnode>
        <childnode refid="59" relation="usage">
          <edgelabel>ptrGestureConfig</edgelabel>
        </childnode>
        <childnode refid="60" relation="usage">
          <edgelabel>ptrPosFilterHistory</edgelabel>
        </childnode>
        <childnode refid="62" relation="usage">
          <edgelabel>ptrBallisticContext</edgelabel>
        </childnode>
        <childnode refid="63" relation="usage">
          <edgelabel>ptrCsxTouchHistory</edgelabel>
        </childnode>
        <childnode refid="64" relation="usage">
          <edgelabel>ptrNoiseEnvelope</edgelabel>
        </childnode>
        <childnode refid="65" relation="usage">
          <edgelabel>advConfig</edgelabel>
        </childnode>
        <childnode refid="66" relation="usage">
          <edgelabel>ptrCsxTouchBuffer</edgelabel>
        </childnode>
        <childnode refid="67" relation="usage">
          <edgelabel>ballisticConfig</edgelabel>
        </childnode>
        <childnode refid="68" relation="usage">
          <edgelabel>aiirConfig</edgelabel>
        </childnode>
        <childnode refid="69" relation="usage">
          <edgelabel>ptrGestureContext</edgelabel>
        </childnode>
        <childnode refid="81" relation="usage">
          <edgelabel>ptrEltdConfig</edgelabel>
        </childnode>
        <childnode refid="83" relation="usage">
          <edgelabel>ptrWdContext</edgelabel>
        </childnode>
      </node>
      <node id="74">
        <label>cy_stc_capsense_ofsc_context_t</label>
        <link refid="structcy__stc__capsense__ofsc__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="64">
        <label>cy_stc_capsense_smartsense_csd_noise_envelope_t</label>
        <link refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t" />
      </node>
      <node id="63">
        <label>cy_stc_capsense_csx_touch_history_t</label>
        <link refid="structcy__stc__capsense__csx__touch__history__t" />
        <childnode refid="61" relation="usage">
          <edgelabel>oldPeak</edgelabel>
        </childnode>
      </node>
      <node id="59">
        <label>cy_stc_capsense_gesture_config_t</label>
        <link refid="structcy__stc__capsense__gesture__config__t" />
      </node>
      <node id="76">
        <label>cy_stc_capsense_ofcd_context_t</label>
        <link refid="structcy__stc__capsense__ofcd__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="70">
        <label>cy_stc_capsense_ofes_context_t</label>
        <link refid="structcy__stc__capsense__ofes__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="56">
        <label>cy_stc_active_scan_sns_t</label>
        <link refid="structcy__stc__active__scan__sns__t" />
        <childnode refid="57" relation="usage">
          <edgelabel>ptrSnsContext</edgelabel>
        </childnode>
        <childnode refid="58" relation="usage">
          <edgelabel>ptrWdConfig</edgelabel>
        </childnode>
        <childnode refid="81" relation="usage">
          <edgelabel>ptrEltdConfig</edgelabel>
          <edgelabel>ptrRxConfig</edgelabel>
          <edgelabel>ptrTxConfig</edgelabel>
        </childnode>
        <childnode refid="83" relation="usage">
          <edgelabel>ptrWdContext</edgelabel>
        </childnode>
      </node>
      <node id="80">
        <label>cy_stc_capsense_ofsl_context_t</label>
        <link refid="structcy__stc__capsense__ofsl__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="66">
        <label>cy_stc_capsense_csx_touch_buffer_t</label>
        <link refid="structcy__stc__capsense__csx__touch__buffer__t" />
        <childnode refid="61" relation="usage">
          <edgelabel>newPeak</edgelabel>
        </childnode>
      </node>
      <node id="67">
        <label>cy_stc_capsense_ballistic_config_t</label>
        <link refid="structcy__stc__capsense__ballistic__config__t" />
      </node>
      <node id="68">
        <label>cy_stc_capsense_adaptive_filter_config_t</label>
        <link refid="structcy__stc__capsense__adaptive__filter__config__t" />
      </node>
      <node id="82">
        <label>cy_stc_capsense_pin_config_t</label>
        <link refid="structcy__stc__capsense__pin__config__t" />
      </node>
      <node id="62">
        <label>cy_stc_capsense_ballistic_context_t</label>
        <link refid="structcy__stc__capsense__ballistic__context__t" />
      </node>
      <node id="83">
        <label>cy_stc_capsense_widget_context_t</label>
        <link refid="structcy__stc__capsense__widget__context__t" />
        <childnode refid="60" relation="usage">
          <edgelabel>wdTouch</edgelabel>
        </childnode>
      </node>
      <node id="79">
        <label>cy_stc_capsense_offl_context_t</label>
        <link refid="structcy__stc__capsense__offl__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="73">
        <label>cy_stc_capsense_tfzm_context_t</label>
        <link refid="structcy__stc__capsense__tfzm__context__t" />
        <childnode refid="71" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="69">
        <label>cy_stc_capsense_gesture_context_t</label>
        <link refid="structcy__stc__capsense__gesture__context__t" />
        <childnode refid="70" relation="usage">
          <edgelabel>ofesContext</edgelabel>
        </childnode>
        <childnode refid="72" relation="usage">
          <edgelabel>ofdcContext</edgelabel>
        </childnode>
        <childnode refid="73" relation="usage">
          <edgelabel>tfzmContext</edgelabel>
        </childnode>
        <childnode refid="74" relation="usage">
          <edgelabel>ofscContext</edgelabel>
        </childnode>
        <childnode refid="75" relation="usage">
          <edgelabel>tfslContext</edgelabel>
        </childnode>
        <childnode refid="76" relation="usage">
          <edgelabel>ofcdContext</edgelabel>
        </childnode>
        <childnode refid="77" relation="usage">
          <edgelabel>ofrtContext</edgelabel>
        </childnode>
        <childnode refid="78" relation="usage">
          <edgelabel>tfscContext</edgelabel>
        </childnode>
        <childnode refid="79" relation="usage">
          <edgelabel>offlContext</edgelabel>
        </childnode>
        <childnode refid="80" relation="usage">
          <edgelabel>ofslContext</edgelabel>
        </childnode>
        <childnode refid="71" relation="usage">
          <edgelabel>positionLast1</edgelabel>
          <edgelabel>positionLast2</edgelabel>
          <edgelabel>position1</edgelabel>
          <edgelabel>position2</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="918" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="884" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="885" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1aa9d6aeaa1e73aac634d4ca090d353af2" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>configId</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a0181ebd06d8e03e3b18ac5c08ca14742" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>initDone</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a867653a126683191970d79f8b6005926" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>modCsdClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a7284658d282945e1ed7f624683677829" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>modCsxClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1ae5ddccd94ecc0ee71482f6c6cbba947f" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>ptrEOSCallback</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1ac3a7fcf3be3a2fc7491cdb9c002eb55e" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>ptrSSCallback</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a18d43c62af42453bbd7a41778691a7e2" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>ptrTunerReceiveCallback</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1ae0c310162f4df691e7d5ac8ec7937491" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>ptrTunerSendCallback</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a6406229ffd99b912c09ca0c80ea3f4ee" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>scanCounter</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1ae823664536f36878278584c2e8967035" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>status</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a770a1fafdbe45e1e3355abca3caa859c" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>timestamp</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a6178b4758bc7095bbafe2bf8bc62783a" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>timestampInterval</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1afae9853b830d6549b35bafc214acc040" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>tunerCmd</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1ac6502f0565b37d6ba97cce1c81a773b3" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>tunerCnt</name></member>
      <member prot="public" refid="structcy__stc__capsense__common__context__t_1a26f741c17c454d43f6a07dbf87d8154e" virt="non-virtual"><scope>cy_stc_capsense_common_context_t</scope><name>tunerSt</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>